package com.zd.laboratory.service;

import java.util.List;
import java.util.Map;

import com.zd.laboratory.domain.LabAbnormal;
import com.zd.laboratory.domain.vo.LabAbnormalVO;

/**
 * 异常设备Service接口
 *
 * @author zd
 * @date 2021-09-07
 */
public interface ILabAbnormalService {
    /**
     * 查询异常设备
     *
     * @param id 异常设备主键
     * @return 异常设备
     */
    public LabAbnormal selectLabAbnormalById(Long id);

    /**
     * 查询异常设备列表
     *
     * @param labAbnormal 异常设备
     * @return 异常设备集合
     */
    public List<LabAbnormalVO> selectLabAbnormalList(LabAbnormalVO labAbnormal);

    /**
     * 查询设备列表
     *
     * @param labAbnormal 设备
     * @return 设备集合
     */
    public List<LabAbnormalVO> getEquipmentList(LabAbnormalVO labAbnormal);

    /**
     * 新增异常设备
     *
     * @param labAbnormal 异常设备
     * @return 结果
     */
    public int insertLabAbnormal(LabAbnormal labAbnormal);

    /**
     * 修改异常设备
     *
     * @param labAbnormal 异常设备
     * @return 结果
     */
    public int updateLabAbnormal(LabAbnormal labAbnormal);

    /**
     * 批量删除异常设备
     *
     * @param ids 需要删除的异常设备主键集合
     * @return 结果
     */
    public int deleteLabAbnormalByIds(Long[] ids);

    /**
     * 删除异常设备信息
     *
     * @param id 异常设备主键
     * @return 结果
     */
    public int deleteLabAbnormalById(Long id);

    /**
     * 删除设备和异常信息
     *
     * @param labAbnormal 设备对象
     * @return 结果
     */
    public int delEquipment(LabAbnormalVO labAbnormal);

    /**
     * 获取设备统计异常信息
     *
     * @param labAbnormal 设备对象
     * @return 异常设备
     */
    public LabAbnormalVO getAbnormalCount(LabAbnormalVO labAbnormal);

    void insertRelayAbnormal(String expiredKey);

    void insertSensorAbnormal(String expiredKey);
}
